ConcurrentReaderHashMap.HashIterator (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.runtime.metaclass, class: ConcurrentReaderHashMap, class: HashIterator

Package org.codehaus.groovy.runtime.metaclass

# Class ConcurrentReaderHashMap.HashIterator

java.lang.Object
org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

All Implemented Interfaces:
  `Enumeration`, `Iterator`

Direct Known Subclasses:
  `ConcurrentReaderHashMap.KeyIterator`, `ConcurrentReaderHashMap.ValueIterator`

Enclosing class:
  ConcurrentReaderHashMap

protected class ConcurrentReaderHashMap.HashIterator extends Object implements Iterator, Enumeration

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `currentKey`
  `protected Object`
  `currentValue`
  `protected ConcurrentReaderHashMap.Entry`
  `entry`
  `protected int`
  `index`
  `protected ConcurrentReaderHashMap.Entry`
  `lastReturned`
  `protected final ConcurrentReaderHashMap.Entry[]`
  `tab`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HashIterator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasMoreElements()`
  `boolean`
  `hasNext()`
  `Object`
  `next()`
  `Object`
  `nextElement()`
  `void`
  `remove()`
  `protected Object`
  `returnValueOfNext()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Enumeration

  `asIterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### tab

    protected final ConcurrentReaderHashMap.Entry[] tab

  - ### index

    protected int index

  - ### entry

    protected ConcurrentReaderHashMap.Entry entry

  - ### currentKey

    protected Object currentKey

  - ### currentValue

    protected Object currentValue

  - ### lastReturned

    protected ConcurrentReaderHashMap.Entry lastReturned

- ## Constructor Details

  - ### HashIterator

    protected HashIterator()

- ## Method Details

  - ### hasMoreElements

    public boolean hasMoreElements()
    Specified by:
      `hasMoreElements` in interface `Enumeration`

  - ### nextElement

    public Object nextElement()
    Specified by:
      `nextElement` in interface `Enumeration`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator`

  - ### returnValueOfNext

    protected Object returnValueOfNext()

  - ### next

    public Object next()
    Specified by:
      `next` in interface `Iterator`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator`